Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IClass

    com.change_vision.jude.api.inf.model.IClass

All Superinterfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Implemented Interfaces:
  IElement, IEntity, IHyperlinkOwner, INamedElement

All Known Implementing Classes:
  IArtifact, IAssociationClass, IComponent, INode, IRequirement, ISubsystem, ITestCase, IUseCase

    public IClass

extends INamedElement

Interface for classes.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IAttribute[]` | `getAttributes()` Get Attributes.
`abstract IGeneralization[]` | `getGeneralizations()` Get Generalization.
`abstract IClass[]` | `getNestedClasses()` Get Nested Classes.
`abstract IOperation[]` | `getOperations()` Get Operations.
`abstract IPort[]` | `getPorts()` Get Ports.
`abstract IGeneralization[]` | `getSpecializations()` Get Specializations.
`abstract ITemplateBinding[]` | `getTemplateBindings()` Get Template Bindings.
`abstract IClassifierTemplateParameter[]` | `getTemplateParameters()` Get Template Parameters.
`abstract boolean` | `isAbstract()` Check if the class is abstract.
`abstract boolean` | `isActive()` Check if the class is active.
`abstract boolean` | `isLeaf()` Check if the element is a leaf.
`abstract void` | `setAbstract(boolean isAbstract)` Set Abstract to Class.
`abstract void` | `setActive(boolean isActive)` Set Active to Class.
`abstract void` | `setLeaf(boolean isLeaf)` Set Leaf to Class.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getClientRealizations, getClientUsages, getConstraints, getDefinition, getDiagrams, getFullName, getFullNamespace, getName, getSupplierDependencies, getSupplierRealizations, getSupplierUsages, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getContainer, getContainers, getId, getOwner, getPresentations, getStereotypes, getTaggedValues, getTypeModifier, hasStereotype, hasStereotype, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### isAbstract

    abstract boolean isAbstract()

  Check if the class is abstract.

  Returns:
    true it is abstract / false it is not abstract

### isLeaf

    abstract boolean isLeaf()

  Check if the element is a leaf. (final in Java language)

  Returns:
    true it is a leaf / false it is not a leaf

### isActive

    abstract boolean isActive()

  Check if the class is active.

  Returns:
    true it is active/ false it is not active

### getAttributes

    abstract IAttribute[] getAttributes()

  Get Attributes. (Includes Association End)

  Returns:
    the array of Attributes (Includes Association End), Return the empty array in case there is none.

### getOperations

    abstract IOperation[] getOperations()

  Get Operations.

  Returns:
    the array of Operations. Return the empty array if there is no operations found.

### getNestedClasses

    abstract IClass[] getNestedClasses()

  Get Nested Classes.

  Returns:
    the array of Nested Classes. Return the empty array if there is none.

### getGeneralizations

    abstract IGeneralization[] getGeneralizations()

  Get Generalization.

  Returns:
    the array of Generalizations. Return the empty array if there is none.

### getSpecializations

    abstract IGeneralization[] getSpecializations()

  Get Specializations.

  Returns:
    the array of Specializations. Return the empty array if there is none.

### getTemplateParameters

    abstract IClassifierTemplateParameter[] getTemplateParameters()

  Get Template Parameters.

  Returns:
    the array of Template Parameters. Return the empty array if there is none.

### getTemplateBindings

    abstract ITemplateBinding[] getTemplateBindings()

  Get Template Bindings.

  Returns:
    the array of Template Bindings. Return the empty array if there is none.

### setAbstract

    abstract void setAbstract(boolean isAbstract)

  Set Abstract to Class.

  Parameters:
    `isAbstract` - if true, it is abstract, otherwise, it is not abstract.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setLeaf

    abstract void setLeaf(boolean isLeaf)

  Set Leaf to Class.

  Parameters:
    `isLeaf` - if true, it is not a leaf, otherwise, it is a leaf.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### setActive

    abstract void setActive(boolean isActive)

  Set Active to Class.

  Parameters:
    `isActive` - if true, it is active, otherwise, it is not active.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in astah* community.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### getPorts

    abstract IPort[] getPorts()

  Get Ports.

  Returns:
    the array of Ports. Return the empty array if there is none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD